function path_out=pathsdiff(root_path,substr_notwanted)
path_out='';
root_path=explode(';',root_path);
for i=1:size(root_path,2)
    tmp_path=root_path{i};
    if(isempty(findstr(tmp_path,substr_notwanted)))
        path_out=strcat(tmp_path,';',path_out );
    end
end